Bug 475141 - Review Request: python-imdb - Retrieve and manage the data of the IMDb movie database
Review Request: python-imdb - Retrieve and manage the data of the IMDb movie ...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Conrad Meyer
Fedora Extras Quality Assurance
:
: 431154 (view as bug list)
Depends On: 477528
Blocks:
  Show dependency treegraph
 
Reported: 2008-12-08 01:50 EST by Sindre Pedersen Bjørdal
Modified: 2011-07-15 10:09 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-04-01 11:45:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
konrad: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
[Review] (8.57 KB, text/plain)
2008-12-16 07:39 EST, Conrad Meyer
no flags Details

  None (edit)
Description Sindre Pedersen Bjørdal 2008-12-08 01:50:35 EST
Spec URL: http://sindrepb.fedorapeople.org/packages/python-imdb.spec
SRPM URL: http://sindrepb.fedorapeople.org/packages/python-imdb-3.8-1.fc10.src.rpm

Description: 
IMDbPY is a Python package useful to retrieve and manage the data of
the IMDb movie database about movies, people, characters and companies.

IMDbPY is mainly a tool intended for programmers and developers, but
some example scripts are included.

This is a re-submit. Submitted for review and abandoned at #431154

Upstream name is IMDbPY, choosing python-imdb based on the name used when importing the module. See http://fedoraproject.org/wiki/Packaging/NamingGuidelines

Upstream installs example scripts in bindir, as in the debian package I've chosen to move these to docdir as examples. 

rpmlint silent, buillds across arches in koji.
Comment 1 Sindre Pedersen Bjørdal 2008-12-08 01:51:04 EST
*** Bug 431154 has been marked as a duplicate of this bug. ***
Comment 2 Conrad Meyer 2008-12-16 07:39:54 EST
Created attachment 327093 [details]
[Review]

See attached for my initial review. Thank you for submitting this package to Fedora, I was considering submitting it myself if no one else did.
Comment 3 Sindre Pedersen Bjørdal 2008-12-21 11:48:01 EST
Updated pacakge. 

- Add patch to use system BeautifulSoup
- Add beautifulsoup requires
- Fix build/install commands.
- Fix bogus permission on cutils file

Package now requires BeautifulSoup which is not in Fedora. See https://bugzilla.redhat.com/show_bug.cgi?id=477528 for review-request, which has been added as a dependency for this review.

Updated srpm and spec:

http://sindrepb.fedorapeople.org/packages/python-imdb.spec
http://sindrepb.fedorapeople.org/packages/python-imdb-3.8-2.fc10.src.rpm
Comment 4 Conrad Meyer 2008-12-24 01:15:37 EST
Er, sorry, I guess the setuptools line is only if it's an egg. If that's the case, keep it and add a BR on python-setuptools. If not, get rid of it.

Other than that, looks good. Approved.
Comment 5 Sindre Pedersen Bjørdal 2008-12-24 10:02:45 EST
New Package CVS Request
=======================
Package Name: python-imdb
Short Description: Retrieve and manage the data of the IMDb movie database
Owners: sindrepb
Branches: F-9 F-10
Comment 6 Kevin Fenzi 2008-12-24 19:30:58 EST
cvs done.
Comment 7 Conrad Meyer 2009-03-19 00:32:37 EDT
Ping? You can close this bug once you've built python-imdb in rawhide.
Comment 8 Gwyn Ciesla 2011-07-15 09:08:10 EDT
Package Change Request
======================
Package Name: python-imdb
New Branches: el6
Owners: limb
Comment 9 Gwyn Ciesla 2011-07-15 10:09:04 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.